Main Page | Modules | Class List | File List | Class Members | File Members

# Callback registration
[Persistent Storage Service]

persistent storage service callbacks More...

## Functions
GSbool | PSFix_LoginResult (CBPSRcv_LoginResult fPSLoginResult)
| Set the function name for the callback.
GSbool | PSFix_Disconnection (CBPSRcv_Disconnection fPSDisconnection)
| Set the function name for the callback.
GSbool | PSFix_SetDataReply (CBPSRcv_SetDataReply fSetDataReply)
| Set the function name for the callback.
GSbool | PSFix_GetDataReply (CBPSRcv_GetDataReply fGetDataReply)
| Set the function name for the callback.

## Detailed Description

These function are used register persistent storage service callbacks

## Function Documentation

GSbool PSFix_Disconnection | ( | CBPSRcv_Disconnection | fPSDisconnection | ) |

  | Description: This function is used to register the disconnection callback for the persistent storage service Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPSDisconnection | Name of a function of type CBPSRcv_Disconnection

GSbool PSFix_GetDataReply | ( | CBPSRcv_GetDataReply | fGetDataReply | ) |

  | Description: This function is used to register the GetDataReply callback for the persistent storage service Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fGetDataReply | Name of a function of type CBPSRcv_GetDataReply

GSbool PSFix_LoginResult | ( | CBPSRcv_LoginResult | fPSLoginResult | ) |

  | Description: This function is used to register the LoginResult callback for the persistent storage service Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPSLoginResult | Name of a function of type CBPSRcv_LoginResult

GSbool PSFix_SetDataReply | ( | CBPSRcv_SetDataReply | fSetDataReply | ) |

  | Description: This function is used to register the SetDataReply callback for the persistent storage service Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fSetDataReply | Name of a function of type CBPSRcv_SetDataReply

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team